//+------------------------------------------------------------------+
//|                                                    rnd_trade.mq4 |
//|                                 Copyright  2009, Gryb Alexander |
//|                        alexandergrib@rambler.ru ICQ: 478-923-832 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Gryb Alexander"
#property link      "alexandergrib@rambler.ru ICQ: 478-923-832"

extern double lots=0.1;
extern int slippage=3;

datetime prev_time; int ticket;

int init()
{
   return(0);
}

int start()
{
   if(prev_time==Time[0]) return(0);
   prev_time=Time[0];
   Close_orders();
   Open_orders();
   return(0);
}


void Close_orders()
{
   for(int k=0;k<OrdersTotal();k++)
   {
      OrderSelect(k,SELECT_BY_POS);
      if(OrderTicket()==ticket)
      {
         if(OrderType()==OP_BUY)OrderClose(OrderTicket(),OrderLots(),Bid,slippage);
         if(OrderType()==OP_SELL)OrderClose(OrderTicket(),OrderLots(),Ask,slippage);
      }
   }
}

void Open_orders()
{
   MathSrand(TimeLocal());
   if(MathRand()>32767/2) 
      ticket=OrderSend(Symbol(),OP_BUY,lots,Ask,slippage,0,0);
   else
      ticket=OrderSend(Symbol(),OP_SELL,lots,Bid,slippage,0,0);
}

int deinit()
{
   return(0);
}